<?php
namespace FiloBlu\Checkproducts\Helper;

/**
 * Custom Module Email helper
 */
class Data extends \Magento\Framework\App\Helper\AbstractHelper
{
    protected $_productMetadata;


    public function __construct(
        \Magento\Framework\App\Helper\Context $context,
        \Magento\Framework\App\ProductMetadataInterface $_productMetadata
    ) {
        parent::__construct($context);
        $this->_productMetadata = $_productMetadata;

    }

    public function getEntityField() {

        $edition = $this->_productMetadata->getEdition();
        return ($edition == 'Enterprise' || strtoupper($edition) == 'B2B') ? 'row_id' : 'entity_id';

    }

}